package userrepository

import (
	userdomain "legalgo-BE-go/internal/domain/user"
)

func (ur *accessor) CreateUser(spec userdomain.User) error {
	if err := ur.db.Create(&spec).Error; err != nil {
		return err
	}

	return nil
}
